org.eclipse.jdt.launching.sourcelookup.containers

## Class JavaProjectSourceContainer

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
    - - org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
      - - org.eclipse.jdt.launching.sourcelookup.containers.JavaProjectSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

    public class JavaProjectSourceContainer
    extends CompositeSourceContainer

Java project source container. Searches for source in a project's source folders.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

Fields
`static String` `TYPE_ID` Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.javaProject`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`JavaProjectSourceContainer(IJavaProject project)` Constructs a source container on the given Java project.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ISourceContainer[]` `createSourceContainers()`
`void` `dispose()`
`boolean` `equals(Object obj)`
`Object[]` `findSourceElements(String name)`
`IJavaProject` `getJavaProject()` Returns the Java project associated with this source container.
`String` `getName()`
`ISourceContainerType` `getType()`
`int` `hashCode()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer

`findSourceElements, getSourceContainers, isComposite`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, getDirector, getSourceContainerType, init, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### TYPE_ID

    public static final String TYPE_ID

Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.javaProject`).

### Constructor Detail

#### JavaProjectSourceContainer

    public JavaProjectSourceContainer(IJavaProject project)

Constructs a source container on the given Java project.

Parameters:
  `project` - project to look for source in

### Method Detail

#### getName

    public String getName()

#### getType

    public ISourceContainerType getType()

#### getJavaProject

    public IJavaProject getJavaProject()

Returns the Java project associated with this source container.

Returns:
  Java project

#### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

Specified by:
  `createSourceContainers` in class `CompositeSourceContainer`
Throws:
  `CoreException`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### findSourceElements

    public Object[] findSourceElements(String name)
                                throws CoreException

Specified by:
  `findSourceElements` in interface `ISourceContainer`
Overrides:
  `findSourceElements` in class `CompositeSourceContainer`
Throws:
  `CoreException`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ISourceContainer`
Overrides:
  `dispose` in class `CompositeSourceContainer`